Hello Fellow Yuneec Pilot!
Join our free Yuneec community and remove this annoying banner!
Sign up

Help: Error in choosing firmware: US instead of EU, and now what?

Joined
Aug 6, 2016
Messages
92
Reaction score
10
Age
71
I have managed to update the ST16 and the Typhoon ... then I realize that I downloaded the US version instead of the European version!
Now I downloaded the European version, the Typhoon H "refuses" to be updated.
How can I do ?
Can not install an older version?
Are we condamned to wait for the next European version ? !!
 
Joined
May 24, 2016
Messages
86
Reaction score
16
Location
Italy
I have managed to update the ST16 and the Typhoon ... then I realize that I downloaded the US version instead of the European version!
Now I downloaded the European version, the Typhoon H "refuses" to be updated.
How can I do ?
Can not install an older version?
Are we condamned to wait for the next European version ? !!
The Standard version provides greater control distance, but in EU is illegal.
To move to the EU version, in the past, fux had provided adapted versions for the purpose (HOWTO: Update EU to Standard version, if latest firmware (2.15) is Already installed (Adv / Pro ONLY!).
Try to ask him if it also produces versions suitable for this release.
 
Joined
Jul 4, 2016
Messages
100
Reaction score
13
Age
38
It didn't even give me a choice which to download come to.think of it.

Sent from my SM-G920V using Tapatalk
 
Joined
May 7, 2016
Messages
1,140
Reaction score
358
Age
72
Location
Gurdon, Ar
Jay the word is that the EU version has been eliminated I don't know.
 
Last edited:
Joined
Aug 6, 2016
Messages
92
Reaction score
10
Age
71
The Standard version provides greater control distance, but in EU is illegal.
To move to the EU version, in the past, fux had provided adapted versions for the purpose (HOWTO: Update EU to Standard version, if latest firmware (2.15) is Already installed (Adv / Pro ONLY!).
Try to ask him if it also produces versions suitable for this release.
Thanks, Marco, I have asked to fux : HOWTO: Update EU to Standard version, if latest firmware (2.15) is already installed (Adv/Pro ONLY!)
In fact, I agree with you: the standard version (US) is illegal in Europe and that is why I seek for a solution immediately.
However ... if I restreins to visual flight, the UAV still far less than 100 meters from the ST16, my self-restraint is playable, right?
 
Last edited:
Joined
Aug 6, 2016
Messages
92
Reaction score
10
Age
71
WARNING TO ALL :
I transfer the discussion to the other thread.
Indeed the friend "fux" may have updated the solution he found for a previous firmware version, otherwise another friend and I we discuss real interest to distinguish between US and EU versions, the latter having - according him -, only defects!
Thanks, and bye.
 

New Threads

Members online

Forum statistics

Threads
16,828
Messages
196,448
Members
19,526
Latest member
DerbyD